package com.yunzhi.nanyang.controller;

import com.yunzhi.nanyang.common.BaseController;
import com.yunzhi.nanyang.common.Constants;
import com.yunzhi.nanyang.common.ResponseBean;
import com.yunzhi.nanyang.service.*;
import com.yunzhi.nanyang.vo.ChartParam;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

@Api(tags = "统计查询")
@RestController
@RequestMapping("/admin")
public class StatisController extends BaseController {

    @Autowired
    ITaPersonService iTaPersonService;

    @Autowired
    ITaOrgService iTaOrgService;

    @Autowired
    ITaMachineryService iTaMachineryService;

    @Autowired
    ITaOrderService iTaOrderService;

    @Autowired
    ITdDeviceService iTdDeviceService;

    @Autowired
    ISysUserService iSysUserService;

    @GetMapping("/summary")
    @ApiOperation(value="首屏统计", notes = "首屏统计", httpMethod = "GET", response = ResponseBean.class)
    public ResponseBean summary() throws Exception {

        List<ChartParam> resp = new ArrayList<>();

        // 统计注册用户
        ChartParam personNum = iTaPersonService.statisTotal();
        resp.add(personNum);

        // 合作社数
        ChartParam orgNum = iTaOrgService.statisTotal();
        resp.add(orgNum);

        // 农机数
        ChartParam machineryNum = iTaMachineryService.statisTotal();
        resp.add(machineryNum);

        // 订单数
        ChartParam orderNum = iTaOrderService.statisTotal();
        resp.add(orderNum);

        return ResponseBean.success(resp);
    }

    @GetMapping("/summary2")
    @ApiOperation(value="首屏统计2", notes = "首屏统计2", httpMethod = "GET", response = ResponseBean.class)
    public ResponseBean summary2() throws Exception {

        List<ChartParam> resp = new ArrayList<>();

        // 统计注册用户
        ChartParam personNum = iSysUserService.statisTotal();
        resp.add(personNum);

        // 合作社数
        ChartParam orgNum = iTaOrgService.statisTotal();
        resp.add(orgNum);

        // 设备数量
        ChartParam machineryNum = iTdDeviceService.statisTotal("feifang");
        resp.add(machineryNum);

        // 订单数
        ChartParam orderNum = iTdDeviceService.statisJob("feifang", "2023-04-10");
        resp.add(orderNum);

        return ResponseBean.success(resp);
    }

    @GetMapping("/area-total-org")
    @ApiOperation(value="合作社作业统计", notes = "合作社作业统计", httpMethod = "GET", response = ResponseBean.class)
    public ResponseBean totalAreaByOrg() throws Exception {
        List<ChartParam> resp = iTdDeviceService.statisAreaByOrgJob("feifang", "2023-04-10");
        return ResponseBean.success(resp);
    }

    @GetMapping("/device-total-org")
    @ApiOperation(value="合作社设备统计", notes = "合作社设备统计", httpMethod = "GET", response = ResponseBean.class)
    public ResponseBean totalNumByOrg() throws Exception {
        List<ChartParam> resp = iTdDeviceService.statisNumByOrgJob("feifang");
        return ResponseBean.success(resp);
    }

    @GetMapping("/area-total-person")
    @ApiOperation(value="人员作业统计", notes = "人员作业统计", httpMethod = "GET", response = ResponseBean.class)
    public ResponseBean totalAreaByPerson() throws Exception {
        List<ChartParam> resp = iTdDeviceService.statisAreaByPerson("feifang", "2023-04-10");
        return ResponseBean.success(resp);
    }

    @GetMapping("/device-total-person")
    @ApiOperation(value="人员设备统计", notes = "人员设备统计", httpMethod = "GET", response = ResponseBean.class)
    public ResponseBean totalNumByPerson() throws Exception {
        List<ChartParam> resp = iTdDeviceService.statisNumByPerson("feifang");
        return ResponseBean.success(resp);
    }

    @GetMapping("/area-total-town")
    @ApiOperation(value="乡镇作业统计", notes = "乡镇作业统计", httpMethod = "GET", response = ResponseBean.class)
    public ResponseBean totalAreaByTown() throws Exception {
        List<ChartParam> resp = iTdDeviceService.statisAreaByTown("feifang", "2023-04-10");
        return ResponseBean.success(resp);
    }
}
