package com.yunzhi.nanyang.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yunzhi.nanyang.common.BaseController;
import com.yunzhi.nanyang.common.ResponseBean;
import java.util.List;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import com.yunzhi.nanyang.entity.TcBind;
import com.yunzhi.nanyang.service.TcBindService;

 /**
 * 绑定表;(tc_bind)表控制层
 * @author : http://njyunzhi.com
 * @date : 2022-11-22
 */
@Api(tags = "绑定表对象功能接口")
@RestController
@RequestMapping("/")
public class TcBindController extends BaseController {
    
    @Autowired
    private TcBindService tcBindService;
    
    /** 
     * 通过ID查询单条数据 
     *
     * @param serialNo 主键
     * @return 实例对象
     */
    @ApiOperation("通过ID查询单条数据")
    @GetMapping("/admin/bind/sync-machine")
    public ResponseBean queryById() throws Exception {
        tcBindService.syncMachine();
        return ResponseBean.success("success");
    }
    
//    /**
//     * 分页查询
//     *
//     * @param pageNum 当前页码
//     * @param pageSize 每页条数
//     * @return 查询结果
//     */
//    @ApiOperation("分页查询")
//    @GetMapping("/tcBind")
//    public ResponseBean list(@ApiParam("页码") @RequestParam(value ="pageNum",defaultValue = "1") Integer pageNum,
//                            @ApiParam("单页数据量") @RequestParam(value ="pageSize",defaultValue = "10") Integer pageSize) throws Exception {
//
//        IPage<TcBind> pg = new Page<>(pageNum, pageSize);
//        // QueryWrapper<TcBind> queryWrapper = new QueryWrapper<>();
//        // queryWrapper.orderByDesc("create_date");
//        IPage<TcBind> result = tcBindService.page(pg);
//
//        return ResponseBean.success(result);
//    }
//
//    /**
//     * 新增数据
//     *
//     * @param tcBind 实例对象
//     * @return 实例对象
//     */
//    @ApiOperation("新增数据")
//    @PostMapping("/tcBind")
//    public ResponseBean add(@ApiParam("对象实体") @RequestBody TcBind tcBind) throws Exception {
//        tcBindService.save(tcBind);
//        return ResponseBean.success(tcBind);
//    }
//
//    /**
//     * 更新数据
//     *
//     * @param tcBind 实例对象
//     * @return 实例对象
//     */
//    @ApiOperation("更新数据")
//    @PutMapping("/tcBind/{id}")
//    public ResponseBean edit(@ApiParam("对象实体") @RequestBody TcBind tcBind,
//                            @ApiParam("对象ID") @PathVariable Integer id ) throws Exception {
//        tcBindService.updateById(tcBind);
//        return ResponseBean.success(tcBind);
//    }
//
//    /**
//     * 通过主键删除数据
//     *
//     * @param serialNo 主键
//     * @return 是否成功
//     */
//    @ApiOperation("通过主键删除数据")
//    @DeleteMapping("/tcBind/{id}")
//    public ResponseBean deleteById(@ApiParam("对象ID") @PathVariable Integer id){
//        tcBindService.removeLogicById(id);
//        return ResponseBean.success("success");
//    }
}