package com.yunzhi.nanyang.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 设备作业表;
 *
 * @author : http://www.chiner.pro
 * @date : 2022-11-3
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "设备作业表", description = "")
@TableName("ta_device_job")
public class TaDeviceJob implements Serializable, Cloneable {
    /**
     * 作业ID
     */
    @ApiModelProperty(name = "作业ID", notes = "")
    @TableId(value = "job_id", type = IdType.UUID)
    private String jobId;
    /**
     * 设备大类
     */
    @ApiModelProperty(name = "设备大类", notes = "")
    private String deviceKind;
    /**
     * 设备编号
     */
    @ApiModelProperty(name = "设备编号", notes = "")
    private String deviceNo;
    /**
     * 人员ID
     */
    @ApiModelProperty(name = "人员ID", notes = "")
    private String userId;

    @ApiModelProperty(name = "人员名称", notes = "")
    private String userName;

    @ApiModelProperty(name = "人员手机", notes = "")
    private String phone;
    /**
     * 农机ID
     */
    @ApiModelProperty(name = "农机ID", notes = "")
    private String machineryId;

    @ApiModelProperty(name = "农机名称", notes = "")
    @TableField(exist = false)
    private String machineryName;
    /**
     * 作业面积
     */
    @ApiModelProperty(name = "作业面积", notes = "")
    private Double jobArea;
    /**
     * 作业日期
     */
    @ApiModelProperty(name = "作业日期", notes = "")
    private String jobDate;
    /**
     * 作业时间
     */
    @ApiModelProperty(name = "作业时间", notes = "")
    private String jobTime;
    /**
     * 数据源ID
     */
    @ApiModelProperty(name = "数据源ID", notes = "")
    private String srcId;
    /**
     * 作业深度
     */
    @ApiModelProperty(name = "作业深度", notes = "")
    private Double depth;
    /**
     * 实际喷洒流量
     */
    @ApiModelProperty(name = "实际喷洒流量", notes = "")
    private Double traffic;
    /**
     * gps定位
     */
    @ApiModelProperty(name = "gps定位", notes = "")
    private String location;

    @ApiModelProperty(name = "所属乡镇", notes = "")
    @TableField(exist = false)
    private String town;

    /**
     * 作业位置
     */
    @ApiModelProperty(name = "作业位置", notes = "")
    private String address;

    @ApiModelProperty(name = "合作社名称")
    private String orgName;

    @ApiModelProperty(name = "合作社ID")
    private String orgId;

    @ApiModelProperty(name = "达标率", notes = "")
    private Double fulfilledRate;

    @ApiModelProperty(name = "达标面积", notes = "")
    private Double fulfilledArea;
}