package com.yunzhi.nanyang.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 原始设备信息;
 * @author : http://www.chiner.pro
 * @date : 2022-11-3
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "原始设备信息",description = "")
@TableName("td_raw_device")
public class TdRawDevice implements Serializable,Cloneable{
    /** 设备ID */
    @ApiModelProperty(name = "设备ID",notes = "")
    @TableId(value = "device_id", type = IdType.UUID)
    private String deviceId ;
    /** 设备大类 */
    @ApiModelProperty(name = "设备大类",notes = "")
    private String deviceKind ;
    /** 设备小类 */
    @ApiModelProperty(name = "设备小类",notes = "")
    private String deviceType ;
    /** 设备编号 */
    @ApiModelProperty(name = "设备编号",notes = "")
    private String deviceNo ;
    /** 具体信息;全部信息json格式 */
    @ApiModelProperty(name = "具体信息",notes = "全部信息json格式")
    private String deviceInfo ;

     @ApiModelProperty(value = "定位")
     private String location;

     @ApiModelProperty(value = "位置信息")
     private String address;
    /** 设备状态;0离线,1在线 */
    @ApiModelProperty(name = "设备状态",notes = "0离线,1在线")
    private Integer deviceStatus ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private LocalDateTime createDate ;
    /** 更新时间 */
    @ApiModelProperty(name = "更新时间",notes = "")
    private LocalDateTime updateDate ;

}