package com.yunzhi.nanyang.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.entity.TaMachinery;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.yunzhi.nanyang.entity.TaDeviceJob;

import java.util.List;
import java.util.Map;

/**
 * 设备作业表;(ta_device_job)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2022-11-3
 */
@Mapper
public interface TaDeviceJobMapper  extends BaseMapper<TaDeviceJob>{

     IPage<TaDeviceJob> statisOrgBy(IPage<TaDeviceJob> pg,
                                    @Param("params") Map<String, Object> params);

     Double statisTotalArea(@Param("params") Map<String, Object> params);

     List<TaDeviceJob> listOrgBy(@Param("params") Map<String, Object> params);

    IPage<TaDeviceJob> getPageBy(IPage<TaDeviceJob> pg,
                                 @Param("deviceKind") String deviceKind,
                                 @Param("deviceNo") String deviceNo,
                                 @Param("startDate") String startDate,
                                 @Param("endDate") String endDate);

    List<TaMachinery> getMachineryListByUser(@Param("userId") String userId);

    Double sumArea();

}