package com.yunzhi.nanyang.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.entity.TdDevice;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.nanyang.vo.ChartParam;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 设备表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Mapper
public interface TdDeviceMapper extends BaseMapper<TdDevice> {

    IPage<TdDevice> getPageBy(IPage<TdDevice> pg, @Param("deviceType") String deviceType,@Param("onlineStatus") Integer onlineStatus);

    TdDevice getExistByDevice(@Param("deviceType") String deviceType,@Param("deviceNo") String deviceNo);

    List<TdDevice> getListByTypes(@Param("typeList") List<String> typeList);

    @Select("SELECT 'device' as `name`, count(*) as `value`  FROM td_device t WHERE t.`device_type` = #{deviceType} AND t.`status` = 1")
    ChartParam statisTotal(@Param("deviceType") String deviceType);

    ChartParam statisJob(@Param("deviceKind") String deviceKind, @Param("jobDate") String jobDate);

    List<ChartParam> statisAreaByOrgJob(@Param("deviceKind") String deviceKind, @Param("jobDate") String jobDate);

    List<ChartParam> statisNumByOrgJob(@Param("deviceType") String deviceType);

    List<ChartParam> statisAreaByPerson(@Param("deviceKind") String deviceKind, @Param("jobDate") String jobDate);

    List<ChartParam> statisNumByPerson(@Param("deviceType") String deviceType);

    List<ChartParam> statisAreaByTown(@Param("deviceKind") String deviceKind, @Param("jobDate") String jobDate);
}
